Get Specific Post Action

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /dataflows/{dataflowId}/recordsets/{recordSetId}/postactions/{actionId}

Get specific Post Action for the selected RecordSet.

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • recordSetId string Required

    id of the RecordSet

  • actionId string Required

    id of the Post Action

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • id string

      id of the Post Action

    • action_name string

      name of the Post Action

    • action_type string

      action type of the Post Action

    • conditions array
    • entity_id string

      id of the Entity that created this Post Action

    • input_record_set_id string

      Id of the RecordSet for this Post Action

    • status number

      Currently not used

    • type string

      type

    • version string

      version of the Post Action structure

GET /dataflows/{dataflowId}/recordsets/{recordSetId}/postactions/{actionId}
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}/postactions/{actionId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "_id": "56f2b4a821f04e0ea484dfd4",
  "actionName": "email_me",
  "actionType": "email",
  "conditions": [
    {
      "action": {
        "connectionId": "56f2b34ca70e0243a2d5846e",
        "emailBcc": "",
        "emailCc": "",
        "emailFrom": "support@gnosiz.com",
        "emailSubject": "hi",
        "emailTemplate": "hi",
        "emailTo": "wl@zerionsoftware.com"
      },
      "conditionExpression": "",
      "conditionHelperCode": ""
    }
  ],
  "entityId": "5684058f159fffbe29ff9912",
  "inputRecordSetId": "56f2b48b21f04e0ea484dfd3",
  "status": 1,
  "type": "POST_ACTION",
  "version": "2.1"
}